# -*- coding: iso-8859-1 -*-

###
### This file is generated automatically by SALOME v7.4.0 with dump python functionality
###

import sys
import salome

salome.salome_init()
theStudy = salome.myStudy

import salome_notebook
notebook = salome_notebook.NoteBook(theStudy)
sys.path.insert( 0, r'/home/ffan/to_Saturne')

###
### GEOM component
###

import GEOM
from salome.geom import geomBuilder
import math
import SALOMEDS


geompy = geomBuilder.New(theStudy)

O = geompy.MakeVertex(0, 0, 0)
OX = geompy.MakeVectorDXDYDZ(1, 0, 0)
OY = geompy.MakeVectorDXDYDZ(0, 1, 0)
OZ = geompy.MakeVectorDXDYDZ(0, 0, 1)
O_1 = geompy.MakeVertex(0, 0, 0)
OX_1 = geompy.MakeVectorDXDYDZ(1, 0, 0)
OY_1 = geompy.MakeVectorDXDYDZ(0, 1, 0)
OZ_1 = geompy.MakeVectorDXDYDZ(0, 0, 1)
Box_1 = geompy.MakeBoxDXDYDZ(0.01, 0.01, 0.01)
Translation_1 = geompy.MakeTranslation(Box_1, 0, 0.01, 0)
Compound_1 = geompy.MakeCompound([Box_1, Translation_1])
Glue_1 = geompy.MakeGlueFaces(Compound_1, 1e-07)
[Solid_1,Solid_2] = geompy.ExtractShapes(Glue_1, geompy.ShapeType["SOLID"], True)
listSubShapeIDs = geompy.SubShapeAllIDs(Glue_1, geompy.ShapeType["FACE"])
listSubShapeIDs = geompy.SubShapeAllIDs(Glue_1, geompy.ShapeType["FACE"])
listSubShapeIDs = geompy.SubShapeAllIDs(Glue_1, geompy.ShapeType["FACE"])
all = geompy.CreateGroup(Glue_1, geompy.ShapeType["FACE"])
geompy.UnionIDs(all, [4, 14, 24, 28, 32, 34, 38, 45, 52, 56, 58])
F1 = geompy.CreateGroup(Glue_1, geompy.ShapeType["FACE"])
geompy.UnionIDs(F1, [52])
F2 = geompy.CreateGroup(Glue_1, geompy.ShapeType["FACE"])
geompy.UnionIDs(F2, [24])
interf = geompy.CreateGroup(Glue_1, geompy.ShapeType["FACE"])
geompy.UnionIDs(interf, [28])
O_2 = geompy.MakeVertex(0, 0, 0)
OX_2 = geompy.MakeVectorDXDYDZ(1, 0, 0)
OY_2 = geompy.MakeVectorDXDYDZ(0, 1, 0)
OZ_2 = geompy.MakeVectorDXDYDZ(0, 0, 1)
sym = geompy.CreateGroup(Glue_1, geompy.ShapeType["FACE"])
geompy.UnionIDs(sym, [14, 45])
walls = geompy.CutListOfGroups([all], [F1, F2, interf, sym])
air = geompy.CreateGroup(Glue_1, geompy.ShapeType["SOLID"])
geompy.UnionIDs(air, [2, 36])
geompy.addToStudy( O, 'O' )
geompy.addToStudy( OX, 'OX' )
geompy.addToStudy( OY, 'OY' )
geompy.addToStudy( OZ, 'OZ' )
geompy.addToStudy( O_1, 'O' )
geompy.addToStudy( OX_1, 'OX' )
geompy.addToStudy( OY_1, 'OY' )
geompy.addToStudy( OZ_1, 'OZ' )
geompy.addToStudy( Box_1, 'Box_1' )
geompy.addToStudy( Translation_1, 'Translation_1' )
geompy.addToStudy( Compound_1, 'Compound_1' )
geompy.addToStudy( Glue_1, 'Glue_1' )
geompy.addToStudyInFather( Glue_1, Solid_1, 'Solid_1' )
geompy.addToStudyInFather( Glue_1, Solid_2, 'Solid_2' )
geompy.addToStudyInFather( Glue_1, all, 'all' )
geompy.addToStudyInFather( Glue_1, F1, 'F1' )
geompy.addToStudyInFather( Glue_1, F2, 'F2' )
geompy.addToStudyInFather( Glue_1, interf, 'interf' )
geompy.addToStudy( O_2, 'O' )
geompy.addToStudy( OX_2, 'OX' )
geompy.addToStudy( OY_2, 'OY' )
geompy.addToStudy( OZ_2, 'OZ' )
geompy.addToStudyInFather( Glue_1, sym, 'sym' )
geompy.addToStudyInFather( Glue_1, walls, 'walls' )
geompy.addToStudyInFather( Glue_1, air, 'air' )

###
### SMESH component
###

import  SMESH, SALOMEDS
from salome.smesh import smeshBuilder

smesh = smeshBuilder.New(theStudy)
Mesh_1 = smesh.Mesh(Glue_1)
NETGEN_2D = Mesh_1.Triangle(algo=smeshBuilder.NETGEN_1D2D)
NETGEN_2D_Parameters = NETGEN_2D.Parameters()
NETGEN_2D_Parameters.SetMaxSize( 0.00244951 )
NETGEN_2D_Parameters.SetSecondOrder( 0 )
NETGEN_2D_Parameters.SetOptimize( 1 )
NETGEN_2D_Parameters.SetFineness( 2 )
NETGEN_2D_Parameters.SetMinSize( 0.000816502 )
NETGEN_2D_Parameters.SetUseSurfaceCurvature( 1 )
NETGEN_2D_Parameters.SetFuseEdges( 1 )
NETGEN_2D_Parameters.SetQuadAllowed( 0 )
NETGEN_3D = Mesh_1.Tetrahedron()
NETGEN_3D_Parameters = NETGEN_3D.Parameters()
NETGEN_3D_Parameters.SetMaxSize( 0.00244951 )
NETGEN_3D_Parameters.SetSecondOrder( 1 )
NETGEN_3D_Parameters.SetOptimize( 1 )
NETGEN_3D_Parameters.SetFineness( 2 )
NETGEN_3D_Parameters.SetMinSize( 0.000816502 )
NETGEN_3D_Parameters.SetUseSurfaceCurvature( 0 )
NETGEN_3D_Parameters.SetFuseEdges( 1 )
NETGEN_3D_Parameters.SetQuadAllowed( 1 )
Viscous_Layers_1 = NETGEN_3D.ViscousLayers(0.0001,3,1.2)
air_1 = Mesh_1.GroupOnGeom(air,'air',SMESH.VOLUME)
air_1.SetColor( SALOMEDS.Color( 0.666667, 1, 0.498039 ))
sym_1 = Mesh_1.GroupOnGeom(sym,'sym',SMESH.FACE)
sym_1.SetColor( SALOMEDS.Color( 1, 1, 0.498039 ))
walls_1 = Mesh_1.GroupOnGeom(walls,'walls',SMESH.FACE)
walls_1.SetColor( SALOMEDS.Color( 1, 0.666667, 0 ))
F1_1 = Mesh_1.GroupOnGeom(F1,'F1',SMESH.FACE)
F1_1.SetColor( SALOMEDS.Color( 1, 0, 0 ))
F2_1 = Mesh_1.GroupOnGeom(F2,'F2',SMESH.FACE)
F2_1.SetColor( SALOMEDS.Color( 0, 0, 1 ))
[ air_1, sym_1, walls_1, F1_1, F2_1 ] = Mesh_1.GetGroups()
smesh.SetName(Mesh_1, 'Mesh_1')
Mesh_1.ExportMED( r'/home/ffan/to_Saturne/Mesh_2.med', 0, SMESH.MED_V2_2, 1, None ,1)
Viscous_Layers_1.SetTotalThickness( 0.0003 )
Viscous_Layers_1.SetNumberLayers( 3 )
Viscous_Layers_1.SetStretchFactor( 1.2 )
Viscous_Layers_1.SetFaces( [ 4, 32, 34, 38, 56, 58, 28 ], 0 )
isDone = Mesh_1.Compute()
[ air_1, sym_1, walls_1, F1_1, F2_1 ] = Mesh_1.GetGroups()
smesh.SetName(Mesh_1, 'Mesh_1')
Mesh_1.ExportMED( r'/home/ffan/to_Saturne/Mesh_1.med', 0, SMESH.MED_V2_2, 1, None ,1)


## Set names of Mesh objects
smesh.SetName(NETGEN_2D.GetAlgorithm(), 'NETGEN_2D')
smesh.SetName(NETGEN_3D.GetAlgorithm(), 'NETGEN_3D')
smesh.SetName(NETGEN_3D_Parameters, 'NETGEN 3D Parameters')
smesh.SetName(Viscous_Layers_1, 'Viscous Layers_1')
smesh.SetName(NETGEN_2D_Parameters, 'NETGEN 2D Parameters')
smesh.SetName(sym_1, 'sym')
smesh.SetName(walls_1, 'walls')
smesh.SetName(F1_1, 'F1')
smesh.SetName(F2_1, 'F2')
smesh.SetName(Mesh_1.GetMesh(), 'Mesh_1')
smesh.SetName(air_1, 'air')


if salome.sg.hasDesktop():
  salome.sg.updateObjBrowser(1)
